Bug 739016

Summary: Review Request: erlang-poolboy - A hunky Erlang worker pool factory
Product: [Fedora] Fedora Reporter: Peter Lemenkov <lemenkov>
Component: Package ReviewAssignee: Michel Alexandre Salim <michel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: michel, notting, package-review
Target Milestone: ---Flags: michel: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-15 19:54:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 639263    
Bug Blocks: 652598    

Description Peter Lemenkov 2011-09-16 06:33:49 EDT
Spec URL: http://peter.fedorapeople.org/erlang-poolboy.spec
SRPM URL: http://peter.fedorapeople.org/erlang-poolboy-0.3-1.git0514787.fc16.src.rpm
Description: A hunky Erlang worker pool factory.
Comment 1 Peter Lemenkov 2012-05-15 10:32:16 EDT
Cleaned up NotReady and updated up to 0.7.0

http://peter.fedorapeople.org/erlang-poolboy.spec
http://peter.fedorapeople.org/erlang-poolboy-0.7.0-1.fc18.src.rpm

Koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4078604

rpmlint:
sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-poolboy-0.7.0-1.fc18.ppc.rpm ../SRPMS/erlang-poolboy-0.7.0-1.fc18.src.rpm 
erlang-poolboy.ppc: E: no-binary
erlang-poolboy.ppc: W: only-non-binary-in-usr-lib

^^^ this one is tricky. All erlang packages must be installed into
%{_libdir}/erlang/lib so despite of the fact that some of them contains only
arch-independent data they all must be build as arch-dependent. I plan to fix
than but I wouldn't hold my breath.

erlang-poolboy.src: W: invalid-url Source0: devinus-poolboy-0.7.0-0-g6aab8b8.tar.gz

^^^ blame github for that, not me.

2 packages and 0 specfiles checked; 1 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS:
Comment 2 Michel Alexandre Salim 2012-06-06 03:15:42 EDT
Taking this review
Comment 3 Michel Alexandre Salim 2012-06-06 05:23:10 EDT
Same as #739014 - most issues are RHEL-specific -- some need fixing if you only intend to support RHEL 6 and not 5.

defattr can be removed (forgot to mention that in #739014), and use either %{buildroot} or $RPM_BUILD_ROOT but not both.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Could not retrieve sources. Please check the source files for
     licenses manually.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


Generated by fedora-review 0.2.0git
External plugins:
Comment 4 Peter Lemenkov 2012-06-06 05:36:48 EDT
Thanks!

I updated package a bit - consistently usage of macros and more verbose rebar (erlang build tool) invocation. Regarding EL{5,6} stuff - I can't drop it since I plan to build in on EL6 and right now I'm considering building on EL5 as well (with several backported patches).

* http://peter.fedorapeople.org/erlang-poolboy.spec
* http://peter.fedorapeople.org/erlang-poolboy-0.7.0-2.fc18.src.rpm
Comment 5 Michel Alexandre Salim 2012-06-06 06:04:31 EDT
I normally remind myself which part is only relevant to which distro release by using, e.g.

%if 0%{?el5}
...
%endif

and

%if 0%{?rhel}
...
%endif

(the Group field can be dropped outside of RHEL as well - new rpmdev-newspec templates omit them for RPM >= 4.8 or so)

-- but that's a personal preference (and I find reviewers don't hassle me for having deprecated definitions if I mark them that way :)

You can drop the %defattr even on RHEL 5 too -- it has RPM 4.4. But you can do that when importing the package -- APPROVED
Comment 6 Peter Lemenkov 2012-06-06 06:07:50 EDT
Thanks!

New Package SCM Request
=======================
Package Name: erlang-poolboy
Short Description: A hunky Erlang worker pool factory
Owners: peter
Branches: f16 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-06 09:19:08 EDT
Git done (by process-git-requests).

Added f17.
Comment 8 Fedora Update System 2012-06-06 09:47:35 EDT
erlang-poolboy-0.7.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-poolboy-0.7.0-2.fc16
Comment 9 Fedora Update System 2012-06-06 09:47:47 EDT
erlang-poolboy-0.7.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-poolboy-0.7.0-2.fc17
Comment 10 Fedora Update System 2012-06-06 09:48:01 EDT
erlang-poolboy-0.7.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-poolboy-0.7.0-2.el6
Comment 11 Fedora Update System 2012-06-07 14:01:49 EDT
erlang-poolboy-0.7.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2012-06-15 19:54:30 EDT
erlang-poolboy-0.7.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-06-15 19:55:18 EDT
erlang-poolboy-0.7.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-06-22 12:03:01 EDT
erlang-poolboy-0.7.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.